module BackupFoundation
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path("../templates", __FILE__)
      argument :app_key, type: :string, default: 'ENTER_YOUR_APP_KEY_HERE'

      desc 'This generator creates an initializer file at config/initializers'

      def copy_initializer_file
        template 'initializer.rb', 'config/initializers/backup_foundation.rb'
      end
    end
  end
end
