module BackupFoundation
  module Item
    class Directory < Base
      def save_dump(tmpdir)
        dump_and_encrypt_if_needed "tar -c #{@options[:path].gsub(/\/?$/, '/*')}"
      end

      def load_dump(infile_path)
        decrypt_if_needed_and_restore "tar -x", infile_path
      end
    end
  end
end
