module BackupFoundation
  module Item
    autoload :Base,       'backup_foundation/item/base'
    autoload :MySQL,      'backup_foundation/item/mysql'
    autoload :PostgreSQL, 'backup_foundation/item/postgresql'
    autoload :SQLite,     'backup_foundation/item/sqlite'
    autoload :Directory,  'backup_foundation/item/directory'

    DATABASES = {
      mysql:      BackupFoundation::Item::MySQL,
      postgresql: BackupFoundation::Item::PostgreSQL,
      sqlite:     BackupFoundation::Item::SQLite,
      directory:  BackupFoundation::Item::Directory
    }
  end
end
